Projects
List Projects
Retrieves all projects for the authenticated organization. Requires an organization admin API key (ASA_ prefix).
GET
/
account
/
projects
curl --request GET \
--url https://api.autosend.com/v1/account/projects \
--header 'Authorization: Bearer ASA_your-admin-api-key'
import requests
url = "https://api.autosend.com/v1/account/projects"
headers = {
"Authorization": "Bearer ASA_your-admin-api-key"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/account/projects', {
method: 'GET',
headers: {
'Authorization': 'Bearer ASA_your-admin-api-key'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/account/projects';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer ASA_your-admin-api-key'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/account/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer ASA_your-admin-api-key")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListProjects {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/account/projects");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer ASA_your-admin-api-key");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/account/projects')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer ASA_your-admin-api-key'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"projects": [
{
"id": "60d5ec49f1b2c72d9c8b1234",
"name": "Production App",
"domain": "example.com",
"domains": [
{
"id": "60d5ec49f1b2c72d9c8b5678",
"domainName": "example.com",
"verificationStatus": "VERIFIED",
"regionKey": "us-east-1",
}
],
"trackingOpen": true,
"trackingClick": true
},
{
"id": "60d5ec49f1b2c72d9c8b7890",
"name": "Staging App",
"domain": null,
"domains": [],
"trackingOpen": false,
"trackingClick": false
}
]
}
}
This endpoint requires an organization admin API key (
ASA_ prefix). Standard project API keys cannot access this endpoint.curl --request GET \
--url https://api.autosend.com/v1/account/projects \
--header 'Authorization: Bearer ASA_your-admin-api-key'
import requests
url = "https://api.autosend.com/v1/account/projects"
headers = {
"Authorization": "Bearer ASA_your-admin-api-key"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/account/projects', {
method: 'GET',
headers: {
'Authorization': 'Bearer ASA_your-admin-api-key'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/account/projects';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer ASA_your-admin-api-key'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/account/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer ASA_your-admin-api-key")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListProjects {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/account/projects");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer ASA_your-admin-api-key");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/account/projects')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer ASA_your-admin-api-key'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"projects": [
{
"id": "60d5ec49f1b2c72d9c8b1234",
"name": "Production App",
"domain": "example.com",
"domains": [
{
"id": "60d5ec49f1b2c72d9c8b5678",
"domainName": "example.com",
"verificationStatus": "VERIFIED",
"regionKey": "us-east-1",
}
],
"trackingOpen": true,
"trackingClick": true
},
{
"id": "60d5ec49f1b2c72d9c8b7890",
"name": "Staging App",
"domain": null,
"domains": [],
"trackingOpen": false,
"trackingClick": false
}
]
}
}
Authorizations
Organization admin API key header of the form Bearer
ASA_<key>. Standard project API keys (AS_ prefix) will receive a 403 error.Response
Projects retrieved successfullyIndicates if the request was successfulExample:
trueShow child attributes
Show child attributes
Array of project objects belonging to the organization
Show child attributes
Show child attributes
Unique project identifierExample:
"60d5ec49f1b2c72d9c8b1234"Project nameExample:
"Production App"Primary domain associated with the projectExample:
"example.com"List of email domains configured for the project
Whether open tracking is enabledExample:
trueWhether click tracking is enabledExample:
trueError Responses
Returned when using a standard project API key instead of an organization admin API key.
{
"success": false,
"error":{
"message":"This endpoint requires an organization admin API key (ASA_ prefix)"
}
}
Was this page helpful?
⌘I
curl --request GET \
--url https://api.autosend.com/v1/account/projects \
--header 'Authorization: Bearer ASA_your-admin-api-key'
import requests
url = "https://api.autosend.com/v1/account/projects"
headers = {
"Authorization": "Bearer ASA_your-admin-api-key"
}
response = requests.get(url, headers=headers)
print(response.json())
fetch('https://api.autosend.com/v1/account/projects', {
method: 'GET',
headers: {
'Authorization': 'Bearer ASA_your-admin-api-key'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/account/projects';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer ASA_your-admin-api-key'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/account/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer ASA_your-admin-api-key")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListProjects {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/account/projects");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer ASA_your-admin-api-key");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/account/projects')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer ASA_your-admin-api-key'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"projects": [
{
"id": "60d5ec49f1b2c72d9c8b1234",
"name": "Production App",
"domain": "example.com",
"domains": [
{
"id": "60d5ec49f1b2c72d9c8b5678",
"domainName": "example.com",
"verificationStatus": "VERIFIED",
"regionKey": "us-east-1",
}
],
"trackingOpen": true,
"trackingClick": true
},
{
"id": "60d5ec49f1b2c72d9c8b7890",
"name": "Staging App",
"domain": null,
"domains": [],
"trackingOpen": false,
"trackingClick": false
}
]
}
}